DDRESCUELOG(1)

NAME
ddrescuelog - tool for ddrescue logfiles

SYNOPSIS
ddrescuelog [options] logfile

DESCRIPTION
GNU ddrescuelog - Tool for ddrescue logfiles. Manipulates ddrescue logfiles, shows their contents, converts them to/from other formats, compares them, and tests rescue status.

OPTIONS

-h, --help
    display this help and exit

-V, --version
    output version information and exit

-a, --change-types=<ot>,<nt>
    change the block types of logfile

-b, --block-size=<bytes>
    block size in bytes [default 512]

-B, --binary-prefixes
    show binary multipliers in numbers [SI]

-c, --create-logfile[=<tt>]
    create logfile from list of blocks [+-]

-C, --complete-logfile[=<t>]
    complete logfile adding blocks of type t [?]

-d, --delete-if-done
    delete the logfile if rescue is finished

-D, --done-status
    return 0 if rescue is finished

-f, --force
    overwrite existing output files

-i, --input-position=<bytes>
    starting position of rescue domain [0]

-l, --list-blocks=<types>
    print block numbers of given types (?*/-+)

-L, --loose-domain
    accept an incomplete domain logfile

-m, --domain-logfile=<file>
    restrict domain to finished blocks in file

-n, --invert-logfile
    invert block types (finished <--> others)

-o, --output-position=<bytes>
    starting position in output file [ipos]

-p, --compare-logfile=<file>
    compare block types in domain of both files

-P, --compare-as-domain=<file>
    like -p but compare finished blocks only

-q, --quiet
    suppress all messages

-s, --size=<bytes>
    maximum size of rescue domain to be processed

-t, --show-status
    show a summary of logfile contents

-v, --verbose
    be verbose (a 2nd -v gives more)

-x, --xor-logfile=<file>
    XOR the finished blocks in file with logfile

-y, --and-logfile=<file>
    AND the finished blocks in file with logfile

-z, --or-logfile=<file>
    OR the finished blocks in file with logfile

Numbers may be in decimal, hexadecimal or octal, and may be followed by a multiplier: s = sectors, k = 1000, Ki = 1024, M = 10^6, Mi = 2^20, etc...

Exit status: 0 for a normal exit, 1 for environmental problems (file not found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or invalid input file, 3 for an internal consistency error (eg, bug) which caused ddrescuelog to panic.

REPORTING BUGS
Report bugs to bug-ddrescue@gnu.org
Ddrescue home page: http://www.gnu.org/software/ddrescue/ddrescue.html
General help using GNU software: http://www.gnu.org/gethelp

COPYRIGHT
Copyright © 2014 Antonio Diaz Diaz. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.